due-service:
  display-name: due-service

info:
  name: ${due-service.display-name}
  version: 1.0
  
#server:
#  port: 8005  

  
spring:
  banner:
    location: classpath:banner.txt
  jpa:
    properties:
      hibernate:
        dialect: org.hibernate.dialect.Oracle10gDialect
    show-sql: false  
  activemq:
    broker-url: tcp://localhost:61616
    user: admin
    password: admin
    pool:
        block-if-full: true
        block-if-full-timeout: -1
        create-connection-on-startup: true
        enabled: false
        expiry-timeout: 0
        idle-timeout: 30000
        max-connections: 1
        maximum-active-session-per-connection: 500
        reconnect-on-exception: true
        time-between-expiration-check: -1
        use-anonymous-producers: true
  jms:
    listener:
      acknowledge-mode: auto
      auto-startup: true
      concurrency: 5
      max-concurrency: 10
    pub-sub-domain: false
    template:
      default-destination:
      priority: 100
      qos-enabled: true
      receive-timeout: 1000
      time-to-live: 36000

#management:
#  endpoints:
#    web:
#      exposure: 
#        include: *
#  security:
#    enabled: false

#n4:
#  datasource:
#    driver-class-name: oracle.jdbc.OracleDriver
#    url: jdbc:oracle:thin:@172.26.144.18:1521/n4dev2
#    username: boletim
#    password: 'boletim'
#  complex: 'RIODEJANEIRO'
#  facility: 'LTR'
#  operator: 'LIBRA'
#  yard: 'T1R'
#  url: 'http://172.26.144.79:9080/apex/services/argoservice'
#  username: 'N4_API_APPT'
#  password: 'ajNaZTJ1K2EkRU1F'
#
#due:
#  datasource:
#    driver-class-name: oracle.jdbc.OracleDriver
#    url: jdbc:oracle:thin:@172.26.144.18:1521/n4dev2    
#    username: duedev
#    password: 'duedev'

#siscomex:
#  cnpj-cert: '02373517000232'
#  timeout: 5000

logging:
  file: logs/${due-service.display-name}.log
  pattern:
    console: "%d %-5level %logger : %msg%n"
    file: "%d %-5level [%thread] %logger : %msg%n"
  level:
    br:
      com:
        grupolibra: INFO
    org:
      springframework:
        web: INFO

messages:
  basename: messages
  default:
    country: BR
    language: PT
    encoding: UTF-8

